Page MenuHomePhabricator

hash_init leaks memory in hhvm, impacting performance of pbkdf2
Closed, ResolvedPublic

Description

see https://github.com/facebook/hhvm/issues/3740


Version: unspecified
Severity: normal

Details

Reference
bz72221

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:48 AM
bzimport set Reference to bz72221.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Oct 18 2014, 4:07 PM
PleaseStand closed this task as Resolved.Aug 25 2015, 7:45 PM
PleaseStand added a project: HHVM.
PleaseStand set Security to None.

The memory leak from bitwise string operations (not hash_init) was fixed upstream, and the fix was deployed by Wikimedia a while ago (see T78727, T86813).